#version 330 core

layout(location = 0) in vec2 aPos;
layout(location = 3) in vec3 aColor;

out vec3 ourColor;

uniform mat4 projection;
uniform mat4 modelMatrix;

void main()
{
    gl_Position = projection * modelMatrix * vec4(aPos, 0.0, 1.0);
    ourColor = aColor;
}